# Generated by Django 3.0.3 on 2020-02-27 01:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('TipoServicio', '0004_auto_20200225_2338'),
        ('Operador', '0003_auto_20200226_1322'),
        ('TipoPlanes', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Planes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('caracteristica1', models.CharField(blank=True, max_length=150, null=True, verbose_name='caracteristica1')),
                ('caracteristica2', models.CharField(blank=True, max_length=150, null=True, verbose_name='caracteristica2')),
                ('caracteristica3', models.CharField(blank=True, max_length=150, null=True, verbose_name='caracteristica3')),
                ('caracteristica4', models.CharField(blank=True, max_length=150, null=True, verbose_name='caracteristica4')),
                ('caracteristica5', models.CharField(blank=True, max_length=150, null=True, verbose_name='caracteristica5')),
                ('caracteristica6', models.CharField(blank=True, max_length=150, null=True, verbose_name='caracteristica6')),
                ('oferta', models.CharField(max_length=100, verbose_name='Oferta')),
                ('precio', models.CharField(max_length=100, verbose_name='Precio')),
                ('tyc', models.TextField(blank=True, help_text='Terminos y Condiciones', max_length=400, null=True)),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creacion')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Fecha de edicion')),
                ('Tplan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='TipoPlanes.servicio', verbose_name='Tipo_plan')),
                ('firma', models.ManyToManyField(to='Operador.Empresa', verbose_name='Operadores')),
                ('service', models.ManyToManyField(to='TipoServicio.TipoServicio', verbose_name='Servicio')),
            ],
            options={
                'verbose_name': 'Planes',
                'verbose_name_plural': 'Planes',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='Versus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(blank=True, max_length=50, null=True, verbose_name='Titulo')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creacion')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Fecha de edicion')),
                ('planes1', models.ManyToManyField(blank=True, related_name='Versus_planes1', to='plan.Planes', verbose_name='planes1')),
                ('planes2', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='Versus_planes2', to='plan.Planes', verbose_name='planes2')),
            ],
            options={
                'verbose_name': 'versus',
                'verbose_name_plural': 'versus',
                'ordering': ['-created'],
            },
        ),
    ]
